gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.PrintOperationPreview

Contents

- Exported types
- Methods
  - endPreview
  - isSelected
  - renderPage
- Signals
  - gotPageSize
  - ready

Description

No description available in the introspection data.

Synopsis

- newtype PrintOperationPreview = PrintOperationPreview (ManagedPtr PrintOperationPreview)
- class (GObject o, IsDescendantOf PrintOperationPreview o) => IsPrintOperationPreview o
- toPrintOperationPreview :: (MonadIO m, IsPrintOperationPreview o) => o -> m PrintOperationPreview
- printOperationPreviewEndPreview :: (HasCallStack, MonadIO m, IsPrintOperationPreview a) => a -> m ()
- printOperationPreviewIsSelected :: (HasCallStack, MonadIO m, IsPrintOperationPreview a) => a -> Int32 -> m Bool
- printOperationPreviewRenderPage :: (HasCallStack, MonadIO m, IsPrintOperationPreview a) => a -> Int32 -> m ()
- type PrintOperationPreviewGotPageSizeCallback = PrintContext -> PageSetup -> IO ()
- afterPrintOperationPreviewGotPageSize :: (IsPrintOperationPreview a, MonadIO m) => a -> ((?self :: a) => PrintOperationPreviewGotPageSizeCallback) -> m SignalHandlerId
- onPrintOperationPreviewGotPageSize :: (IsPrintOperationPreview a, MonadIO m) => a -> ((?self :: a) => PrintOperationPreviewGotPageSizeCallback) -> m SignalHandlerId
- type PrintOperationPreviewReadyCallback = PrintContext -> IO ()
- afterPrintOperationPreviewReady :: (IsPrintOperationPreview a, MonadIO m) => a -> ((?self :: a) => PrintOperationPreviewReadyCallback) -> m SignalHandlerId
- onPrintOperationPreviewReady :: (IsPrintOperationPreview a, MonadIO m) => a -> ((?self :: a) => PrintOperationPreviewReadyCallback) -> m SignalHandlerId

# Exported types

newtype PrintOperationPreview Source #

Memory-managed wrapper type.

Constructors

PrintOperationPreview (ManagedPtr PrintOperationPreview) |

#### Instances

Instances details

Eq PrintOperationPreview Source # |
Instance details Defined in GI.Gtk.Interfaces.PrintOperationPreview Methods (==) :: PrintOperationPreview -> PrintOperationPreview -> Bool Source # (/=) :: PrintOperationPreview -> PrintOperationPreview -> Bool Source #
GObject PrintOperationPreview Source # |
Instance details Defined in GI.Gtk.Interfaces.PrintOperationPreview
ManagedPtrNewtype PrintOperationPreview Source # |
Instance details Defined in GI.Gtk.Interfaces.PrintOperationPreview Methods toManagedPtr :: PrintOperationPreview -> ManagedPtr PrintOperationPreview Source #
TypedObject PrintOperationPreview Source # |
Instance details Defined in GI.Gtk.Interfaces.PrintOperationPreview Methods glibType :: IO GType Source #
HasParentTypes PrintOperationPreview Source # |
Instance details Defined in GI.Gtk.Interfaces.PrintOperationPreview
IsGValue (Maybe PrintOperationPreview) Source # | Convert `PrintOperationPreview` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Interfaces.PrintOperationPreview Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PrintOperationPreview -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PrintOperationPreview) Source #
type ParentTypes PrintOperationPreview Source # |
Instance details Defined in GI.Gtk.Interfaces.PrintOperationPreview type ParentTypes PrintOperationPreview = '[Object]

class (GObject o, IsDescendantOf PrintOperationPreview o) => IsPrintOperationPreview o Source #

Type class for types which can be safely cast to `PrintOperationPreview`, for instance with `toPrintOperationPreview`.

#### Instances

Instances details

(GObject o, IsDescendantOf PrintOperationPreview o) => IsPrintOperationPreview o Source # |
Instance details Defined in GI.Gtk.Interfaces.PrintOperationPreview

toPrintOperationPreview :: (MonadIO m, IsPrintOperationPreview o) => o -> m PrintOperationPreview Source #

Cast to `PrintOperationPreview`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, endPreview, forceFloating, freezeNotify, getv, isFloating, isSelected, notify, notifyByPspec, ref, refSink, renderPage, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## endPreview

printOperationPreviewEndPreview Source #

Arguments

:: (HasCallStack, MonadIO m, IsPrintOperationPreview a) |
=> a | `preview`: a `PrintOperationPreview`
-> m () |

Ends a preview.

This function must be called to finish a custom print preview.

Since: 2.10

## isSelected

printOperationPreviewIsSelected Source #

Arguments

:: (HasCallStack, MonadIO m, IsPrintOperationPreview a) |
=> a | `preview`: a `PrintOperationPreview`
-> Int32 | `pageNr`: a page number
-> m Bool | Returns: `True` if the page has been selected for printing

Returns whether the given page is included in the set of pages that have been selected for printing.

Since: 2.10

## renderPage

printOperationPreviewRenderPage Source #

Arguments

:: (HasCallStack, MonadIO m, IsPrintOperationPreview a) |
=> a | `preview`: a `PrintOperationPreview`
-> Int32 | `pageNr`: the page to render
-> m () |

Renders a page to the preview, using the print context that was passed to the PrintOperation::preview handler together with `preview`.

A custom iprint preview should use this function in its expose handler to render the currently selected page.

Note that this function requires a suitable cairo context to be associated with the print context.

Since: 2.10

# Signals

## gotPageSize

type PrintOperationPreviewGotPageSizeCallback Source #

Arguments

= PrintContext | `context`: the current `PrintContext`
-> PageSetup | `pageSetup`: the `PageSetup` for the current page
-> IO () |

The gotPageSize signal is emitted once for each page that gets rendered to the preview.

A handler for this signal should update the `context` according to `pageSetup` and set up a suitable cairo context, using `printContextSetCairoContext`.

afterPrintOperationPreviewGotPageSize :: (IsPrintOperationPreview a, MonadIO m) => a -> ((?self :: a) => PrintOperationPreviewGotPageSizeCallback) -> m SignalHandlerId Source #

Connect a signal handler for the gotPageSize signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after printOperationPreview #gotPageSize callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onPrintOperationPreviewGotPageSize :: (IsPrintOperationPreview a, MonadIO m) => a -> ((?self :: a) => PrintOperationPreviewGotPageSizeCallback) -> m SignalHandlerId Source #

Connect a signal handler for the gotPageSize signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on printOperationPreview #gotPageSize callback

## ready

type PrintOperationPreviewReadyCallback Source #

Arguments

= PrintContext | `context`: the current `PrintContext`
-> IO () |

The ready signal gets emitted once per preview operation, before the first page is rendered.

A handler for this signal can be used for setup tasks.

afterPrintOperationPreviewReady :: (IsPrintOperationPreview a, MonadIO m) => a -> ((?self :: a) => PrintOperationPreviewReadyCallback) -> m SignalHandlerId Source #

Connect a signal handler for the ready signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after printOperationPreview #ready callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onPrintOperationPreviewReady :: (IsPrintOperationPreview a, MonadIO m) => a -> ((?self :: a) => PrintOperationPreviewReadyCallback) -> m SignalHandlerId Source #

Connect a signal handler for the ready signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on printOperationPreview #ready callback